[Install]
model = Panasonic UF-6010
Network = 1
USB = 0
Parallel = 0

[PrinterVersion]
2K=Puf6010.ver
AMD64=Puf6010.ver

[Main]
ModelName=UF-6010
SeriesName=Panasonic WORKiO UF-6100 Series
NumDrivers=1
Driver1=PrinterDriver1
HarwareID=USBPRINT\PanasonicUF-6010AE20
;OEMURL=
;USBID=
;USBPRINT=
LPTPRINT=PanasonicUF-6010AE20

;***********************************************************************
;UF-6010 PCL6
;***********************************************************************
[PrinterDriver1]
PrinterDriverName=Panasonic UF-6010 Ver. 2
LanguageMonitorName=MGCSLM
;PortMonitorName=RPT Network Printer Port
DefaultPrinter=no
SupportOS=2000,AMD64
DefaultSharedName=DP6010

;***********************************************************************
;UF-6010 PCL6 2K
;***********************************************************************
[PrinterDriver1.2000.Install]
DataType=RAW
Driver=PF2NTMPM.DLL
ConfigurationFile=PF2NTMUI.DLL
DataFile=Puf6010.PFD
DependentFiles=CODEC32.DLL,CRCMDL_2.dll,MGCSLM.DLL,MGCSLM.INI,PCCPDH.chm,Pf02bm32.dll,pf2dlg32.dll,Pf2dlg32.ini,PF2GTDEV.dll,Pf2mibrc.ini,PF2NTLIB.dll,PF2NTMPM.dll,Pf2ntmpm.ini,PF2NTMUI.dll,PF2STMCL.DLL,Pf2_ui32.dll,PF2_UMPD.dll,PF2_UMPD.ini,PFX300DF.GMA,PFX600DF.GMA,ZAZDDM32.dll,MGCSLM.DLL,Puf6010.pfd,Puf6010.ver,Uf_6010_.ini
HelpFile=PCCPDH.CHM
LanguageMonitorFile=MGCSLM.DLL
;PortMonitorFile=
InfFile=Uf_6010_.inf
BiDirectional=Always

[PrinterDriver1.2000.Uninstall]
DeleteFile001=CODEC32.DLL,WINPRNDRV,NOT_SHARED
DeleteFile002=CRCMDL_2.dll,WINPRNDRV,NOT_SHARED
DeleteFile003=MGCSLM.INI,WINPRNDRV,NOT_SHARED
DeleteFile004=PCCPDH.chm,WINPRNDRV,NOT_SHARED
DeleteFile005=Pf02bm32.dll,WINPRNDRV,NOT_SHARED
DeleteFile006=pf2dlg32.dll,WINPRNDRV,NOT_SHARED
DeleteFile007=Pf2dlg32.ini,WINPRNDRV,NOT_SHARED
DeleteFile008=PF2GTDEV.dll,WINPRNDRV,NOT_SHARED
DeleteFile009=Pf2mibrc.ini,WINPRNDRV,NOT_SHARED
DeleteFile010=PF2NTLIB.dll,WINPRNDRV,NOT_SHARED
DeleteFile011=PF2NTMPM.dll,WINPRNDRV,NOT_SHARED
DeleteFile012=Pf2ntmpm.ini,WINPRNDRV,NOT_SHARED
DeleteFile013=PF2NTMUI.dll,WINPRNDRV,NOT_SHARED
DeleteFile014=PF2STMCL.DLL,WINPRNDRV,NOT_SHARED
DeleteFile015=Pf2_ui32.dll,WINPRNDRV,NOT_SHARED
DeleteFile016=PF2_UMPD.dll,WINPRNDRV,NOT_SHARED
DeleteFile017=PF2_UMPD.ini,WINPRNDRV,NOT_SHARED
DeleteFile018=PFX300DF.GMA,WINPRNDRV,NOT_SHARED
DeleteFile019=PFX600DF.GMA,WINPRNDRV,NOT_SHARED
DeleteFile020=ZAZDDM32.dll,WINPRNDRV,NOT_SHARED
DeleteFile021=Puf6010.pfd,WINPRNDRV,NOT_SHARED
DeleteFile022=Puf6010.ver,WINPRNDRV,NOT_SHARED
DeleteFile023=Uf_6010_.ini,WINPRNDRV,NOT_SHARED
DeleteFile024=Uf_6010_.inf,WININF_OTHER,NOT_SHARED
DeleteFile025=CODEC32.DLL,WINPRNDRV3,SHARED
DeleteFile026=CRCMDL_2.dll,WINPRNDRV3,SHARED
DeleteFile027=MGCSLM.INI,WINPRNDRV3,SHARED
DeleteFile028=PCCPDH.chm,WINPRNDRV3,SHARED
DeleteFile029=Pf02bm32.dll,WINPRNDRV3,SHARED
DeleteFile030=pf2dlg32.dll,WINPRNDRV3,SHARED
DeleteFile031=Pf2dlg32.ini,WINPRNDRV3,SHARED
DeleteFile032=PF2GTDEV.dll,WINPRNDRV3,SHARED
DeleteFile033=Pf2mibrc.ini,WINPRNDRV3,SHARED
DeleteFile034=PF2NTLIB.dll,WINPRNDRV3,SHARED
DeleteFile035=PF2NTMPM.dll,WINPRNDRV3,SHARED
DeleteFile036=Pf2ntmpm.ini,WINPRNDRV3,SHARED
DeleteFile037=PF2NTMUI.dll,WINPRNDRV3,SHARED
DeleteFile038=PF2STMCL.DLL,WINPRNDRV3,SHARED
DeleteFile039=Pf2_ui32.dll,WINPRNDRV3,SHARED
DeleteFile040=PF2_UMPD.dll,WINPRNDRV3,SHARED
DeleteFile041=PF2_UMPD.ini,WINPRNDRV3,SHARED
DeleteFile042=PFX300DF.GMA,WINPRNDRV3,SHARED
DeleteFile043=PFX600DF.GMA,WINPRNDRV3,SHARED
DeleteFile044=ZAZDDM32.dll,WINPRNDRV3,SHARED
DeleteFile045=Puf6010.pfd,WINPRNDRV3,NOT_SHARED
DeleteFile046=Puf6010.ver,WINPRNDRV3,NOT_SHARED
DeleteFile047=Uf_6010_.ini,WINPRNDRV3,NOT_SHARED
DeleteFile048=Uf_6010_.inf,WININF_OTHER,NOT_SHARED
DeleteFile049=MGCSLM.DLL,WINPRNDRV,NOT_SHARED
DeleteFile050=MGCSLM.DLL,WINPRNDRV3,SHARED
DeleteFile051=Puf6010.BPD,WINPRNDRV,NOT_SHARED
DeleteFile052=Puf6010.BPD,WINPRNDRV3,NOT_SHARED


DeleteINFKey1=Panasonic
DeleteINFKey2=Panasonic UF-6010 Ver. 2

DeleteRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\LPTENUM,PanasonicUF-6010AE20,Blocked,NoSubKey
DeleteRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic UF-6010 Ver. 2,UnBlocked,NoSubKey
DeleteRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic UF-6010 Ver. 2,UnBlocked,NoSubKey
DeleteRegistry004=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic UF-6010 Ver. 2,UnBlocked,NoSubKey

DeleteUserRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey

InhibitedDriver001=Panasonic UF-6010 Ver. 2


;***********************************************************************
;UF-6010 PCL6 AMD64
;***********************************************************************
[PrinterDriver1.AMD64.Install]
DataType=RAW
Driver=PF2NTMPM.DLL
ConfigurationFile=PF2NTMUI.DLL
DataFile=Puf6010.PFD
DependentFiles=CRCMDL_2.dll,PCCPDH.chm,PF02BM32.dll,PF2DLG32.dll,Pf2dlg32.ini,PF2GTDEV.dll,Pf2mibrc.ini,PF2NTLIB.dll,PF2NTMPM.dll,Pf2ntmpm.ini,PF2NTMUI.dll,PF2STMCL.dll,PF2_UI32.dll,PF2_UMPD.dll,PF2_UMPD.ini,PFX300DF.GMA,PFX600DF.GMA,PFXCODEC.dll,ZAZDDMA6.dll,Puf6010.pfd,Puf6010.ver,Uf_6010_.ini
HelpFile=PCCPDH.CHM
;LanguageMonitorFile=
;PortMonitorFile=
InfFile=Uf_6010_.inf
BiDirectional=Always

[PrinterDriver1.AMD64.Uninstall]
DeleteFile001=CRCMDL_2.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile002=PCCPDH.chm,WINPRNDRVX64,NOT_SHARED
DeleteFile003=PF02BM32.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile004=PF2DLG32.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile005=Pf2dlg32.ini,WINPRNDRVX64,NOT_SHARED
DeleteFile006=PF2GTDEV.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile007=Pf2mibrc.ini,WINPRNDRVX64,NOT_SHARED
DeleteFile008=PF2NTLIB.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile009=PF2NTMPM.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile010=Pf2ntmpm.ini,WINPRNDRVX64,NOT_SHARED
DeleteFile011=PF2NTMUI.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile012=PF2STMCL.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile013=PF2_UI32.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile014=PF2_UMPD.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile015=PF2_UMPD.ini,WINPRNDRVX64,NOT_SHARED
DeleteFile016=PFX300DF.GMA,WINPRNDRVX64,NOT_SHARED
DeleteFile017=PFX600DF.GMA,WINPRNDRVX64,NOT_SHARED
DeleteFile018=PFXCODEC.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile019=ZAZDDMA6.dll,WINPRNDRVX64,NOT_SHARED
DeleteFile020=Puf6010.pfd,WINPRNDRVX64,NOT_SHARED
DeleteFile021=Puf6010.ver,WINPRNDRVX64,NOT_SHARED
DeleteFile022=Uf_6010_.ini,WINPRNDRVX64,NOT_SHARED
DeleteFile023=Uf_6010_.inf,WININF_OTHER,NOT_SHARED
DeleteFile024=CRCMDL_2.dll,WINPRNDRVX64,SHARED
DeleteFile025=PCCPDH.chm,WINPRNDRVX64,SHARED
DeleteFile026=PF02BM32.dll,WINPRNDRVX64,SHARED
DeleteFile027=PF2DLG32.dll,WINPRNDRVX64,SHARED
DeleteFile028=Pf2dlg32.ini,WINPRNDRVX64,SHARED
DeleteFile029=PF2GTDEV.dll,WINPRNDRVX64,SHARED
DeleteFile030=Pf2mibrc.ini,WINPRNDRVX64,SHARED
DeleteFile031=PF2NTLIB.dll,WINPRNDRVX64,SHARED
DeleteFile032=PF2NTMPM.dll,WINPRNDRVX64,SHARED
DeleteFile033=Pf2ntmpm.ini,WINPRNDRVX64,SHARED
DeleteFile034=PF2NTMUI.dll,WINPRNDRVX643,SHARED
DeleteFile035=PF2STMCL.dll,WINPRNDRVX643,SHARED
DeleteFile036=PF2_UI32.dll,WINPRNDRVX643,SHARED
DeleteFile037=PF2_UMPD.dll,WINPRNDRVX643,SHARED
DeleteFile038=PF2_UMPD.ini,WINPRNDRVX643,SHARED
DeleteFile039=PFX300DF.GMA,WINPRNDRVX643,SHARED
DeleteFile040=PFX600DF.GMA,WINPRNDRVX643,SHARED
DeleteFile041=PFXCODEC.dll,WINPRNDRVX643,SHARED
DeleteFile042=ZAZDDMA6.dll,WINPRNDRVX643,SHARED
DeleteFile043=Puf6010.pfd,WINPRNDRVX643,NOT_SHARED
DeleteFile044=Puf6010.ver,WINPRNDRVX643,NOT_SHARED
DeleteFile045=Uf_6010_.ini,WINPRNDRVX643,NOT_SHARED
DeleteFile046=Uf_6010_.inf,WININF_OTHER,NOT_SHARED
DeleteFile047=Puf6010.BPD,WINPRNDRVX64,NOT_SHARED
DeleteFile048=Puf6010.BPD,WINPRNDRVX643,NOT_SHARED


DeleteINFKey1=Panasonic
DeleteINFKey2=Panasonic UF-6010 Ver. 2

DeleteRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\LPTENUM,PanasonicUF-6010AE20,Blocked,NoSubKey
DeleteRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Control\Print\Environments\Windows x64\Drivers\Version-3,Panasonic UF-6010 Ver. 2,UnBlocked,NoSubKey
DeleteRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Control\Print\Environments\Windows x64\Drivers\Version-3,Panasonic UF-6010 Ver. 2,UnBlocked,NoSubKey
DeleteRegistry004=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Control\Print\Environments\Windows x64\Drivers\Version-3,Panasonic UF-6010 Ver. 2,UnBlocked,NoSubKey

DeleteUserRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey

InhibitedDriver001=Panasonic UF-6010 Ver. 2
